// ButtonHook.h
#pragma once
#include "CWHPaccess.h"

#ifdef DLLAPI_BUTTON_HOOK
#define ENTRY_FUNCTION extern "C" _declspec(dllexport)
#else
#define ENTRY_FUNCTION extern "C" _declspec(dllimport)
#endif

////
//	Entry-Point (Exposed)Functions
////
ENTRY_FUNCTION BOOL WINAPI StartButtonHook(void);	
ENTRY_FUNCTION BOOL WINAPI StopButtonHook(void);
ENTRY_FUNCTION BOOL WINAPI IsButtonHookSet(void);	
ENTRY_FUNCTION int WINAPI GetAllHookedWindowHandles(int* pBuf);
